@echo off

REM The script runs Data Conversion Module

if "%1" == "" goto usage
if "%2" == "" goto usage

SET BATCHDIR=%CD%

REM Set path to JRE
SET JVMCMD=%BATCHDIR%\jre\bin\java.exe
IF NOT EXIST "%JVMCMD%" goto javanotfound

REM Set path to bin directory from which application must be started
SET BINPATH=%BATCHDIR%\bin
IF NOT EXIST "%BINPATH%" goto binpathnotfound

REM
REM Put all jar files in the current directory in the class path.
REM
set LOCALCLASSPATH=%CLASSPATH%
cd %BINPATH%
for %%i in (*.jar) do call "%BATCHDIR%/lcp.bat" %%i

REM Variable checks
echo BATCHDIR: %BATCHDIR%
echo BINPATH: %BINPATH%
echo JVM: %JVMCMD%
echo.
echo Classpath: %LOCALCLASSPATH%
REM
REM Run DataConversionModule
REM
echo.
echo Start running script
echo.
"%JVMCMD%" %FEWS_OPTS% -classpath "%LOCALCLASSPATH%" nl.wldelft.dataconversion.DataConversionModule %*
cd %BATCHDIR%
echo Finished running script.
echo.
echo Please check log file in the region path for more details.
goto eof

:binpathnotfound
echo
echo.
echo ERROR: %BINPATH% not found, please make sure that
echo the variable BINPATH in this script points to the directory containing the DCM binaries.
echo.
goto eof

:javanotfound
echo.
echo ERROR: %JVMCMD% not found, please make sure that 
echo the variable JVMCMD in this script points to a valid java.exe
echo.
goto eof

:usage
echo.
echo %0: 
echo  Batch script to run Data Conversion module on windows.
echo.
echo  Note: please make sure the path to java.exe is correct in this script
echo   (currently set to %JVMCMD%)
echo.
echo  Available commandline arguments:
echo.
echo  regionpath = path or name of region folder. Required parameter
echo  configfile = configuration file. Optional parameter.
echo               If not used then parameter workflowid is required.
echo  workflowid = Name of workflow to run. If not used the parameter 
echo               configfile is required.
echo  systemtime = system time (yyyy-MM-dd HH:mm:ssZ). Optional parameter.
echo               Defaults to current system time.
echo  importpath = path to import files. Optional parameter.
echo               Used in combination with parameter workflowid.
echo  exportpath = path to export files. Optional parameter.
echo               Used in combination with parameter workflowid.
echo  binpath    = path to binaries. Optional parameter.
echo               This parameter can not be passed on command line when using
echo               this batch script.
echo.
echo.
echo Example usages:
echo.
echo DataConversion regionpath=[path to region] configfile=[name of config file]
echo                systemtime=[yyyy-MM-dd HH:mm:ssZ]
echo DataConversion regionpath=[path to region] workflowid=[workflow]
echo                importpath=[path to import files] exportpath=[path to
echo                output files] systemtime=[yyyy-MM-dd HH:mm:ssZ]
echo.
:eof